From 4bc9815c6aeda5a4d09a7971afc2d490a24cc41c Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 10 2020 06:26:16 +0000
Subject: [PATCH 235/2232] Suppress clippy::cognitive_complexity lint


---

diff --git a/cmd/src/main.rs b/cmd/src/main.rs
index 3577f72..d0a215e 100644
--- a/cmd/src/main.rs
+++ b/cmd/src/main.rs
@@ -1,4 +1,5 @@
 #![allow(
+    clippy::cognitive_complexity,
     clippy::inherent_to_string,
     clippy::large_enum_variant,
     clippy::new_without_default,
diff --git a/src/lib.rs b/src/lib.rs
index a254581..8b3a5a0 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -340,6 +340,7 @@
 #![doc(html_root_url = "https://docs.rs/cxx/0.2.5")]
 #![deny(improper_ctypes)]
 #![allow(
+    clippy::cognitive_complexity,
     clippy::declare_interior_mutable_const,
     clippy::inherent_to_string,
     clippy::large_enum_variant,

